Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network94.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
94.0.0.0
Broadcast address
95.255.255.255
First usable
94.0.0.1
Last usable
95.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 5E000000 · Integer 1577058304 to 1610612735
Reverse DNS zones
94.in-addr.arpa
95.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011110.00000000.00000000.0000000094.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01011110.00000000.00000000.0000000094.0.0.0
Broadcast01011111.11111111.11111111.1111111195.255.255.255
Split into smaller subnets/17

94.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
194.0.0.0/1794.0.0.1 to 94.0.127.25494.0.127.25532,766
294.0.128.0/1794.0.128.1 to 94.0.255.25494.0.255.25532,766
394.1.0.0/1794.1.0.1 to 94.1.127.25494.1.127.25532,766
494.1.128.0/1794.1.128.1 to 94.1.255.25494.1.255.25532,766
594.2.0.0/1794.2.0.1 to 94.2.127.25494.2.127.25532,766
694.2.128.0/1794.2.128.1 to 94.2.255.25494.2.255.25532,766
794.3.0.0/1794.3.0.1 to 94.3.127.25494.3.127.25532,766
894.3.128.0/1794.3.128.1 to 94.3.255.25494.3.255.25532,766
994.4.0.0/1794.4.0.1 to 94.4.127.25494.4.127.25532,766
1094.4.128.0/1794.4.128.1 to 94.4.255.25494.4.255.25532,766
1194.5.0.0/1794.5.0.1 to 94.5.127.25494.5.127.25532,766
1294.5.128.0/1794.5.128.1 to 94.5.255.25494.5.255.25532,766
1394.6.0.0/1794.6.0.1 to 94.6.127.25494.6.127.25532,766
1494.6.128.0/1794.6.128.1 to 94.6.255.25494.6.255.25532,766
1594.7.0.0/1794.7.0.1 to 94.7.127.25494.7.127.25532,766
1694.7.128.0/1794.7.128.1 to 94.7.255.25494.7.255.25532,766
1794.8.0.0/1794.8.0.1 to 94.8.127.25494.8.127.25532,766
1894.8.128.0/1794.8.128.1 to 94.8.255.25494.8.255.25532,766
1994.9.0.0/1794.9.0.1 to 94.9.127.25494.9.127.25532,766
2094.9.128.0/1794.9.128.1 to 94.9.255.25494.9.255.25532,766
2194.10.0.0/1794.10.0.1 to 94.10.127.25494.10.127.25532,766
2294.10.128.0/1794.10.128.1 to 94.10.255.25494.10.255.25532,766
2394.11.0.0/1794.11.0.1 to 94.11.127.25494.11.127.25532,766
2494.11.128.0/1794.11.128.1 to 94.11.255.25494.11.255.25532,766
2594.12.0.0/1794.12.0.1 to 94.12.127.25494.12.127.25532,766
2694.12.128.0/1794.12.128.1 to 94.12.255.25494.12.255.25532,766
2794.13.0.0/1794.13.0.1 to 94.13.127.25494.13.127.25532,766
2894.13.128.0/1794.13.128.1 to 94.13.255.25494.13.255.25532,766
2994.14.0.0/1794.14.0.1 to 94.14.127.25494.14.127.25532,766
3094.14.128.0/1794.14.128.1 to 94.14.255.25494.14.255.25532,766
3194.15.0.0/1794.15.0.1 to 94.15.127.25494.15.127.25532,766
3294.15.128.0/1794.15.128.1 to 94.15.255.25494.15.255.25532,766
3394.16.0.0/1794.16.0.1 to 94.16.127.25494.16.127.25532,766
3494.16.128.0/1794.16.128.1 to 94.16.255.25494.16.255.25532,766
3594.17.0.0/1794.17.0.1 to 94.17.127.25494.17.127.25532,766
3694.17.128.0/1794.17.128.1 to 94.17.255.25494.17.255.25532,766
3794.18.0.0/1794.18.0.1 to 94.18.127.25494.18.127.25532,766
3894.18.128.0/1794.18.128.1 to 94.18.255.25494.18.255.25532,766
3994.19.0.0/1794.19.0.1 to 94.19.127.25494.19.127.25532,766
4094.19.128.0/1794.19.128.1 to 94.19.255.25494.19.255.25532,766
4194.20.0.0/1794.20.0.1 to 94.20.127.25494.20.127.25532,766
4294.20.128.0/1794.20.128.1 to 94.20.255.25494.20.255.25532,766
4394.21.0.0/1794.21.0.1 to 94.21.127.25494.21.127.25532,766
4494.21.128.0/1794.21.128.1 to 94.21.255.25494.21.255.25532,766
4594.22.0.0/1794.22.0.1 to 94.22.127.25494.22.127.25532,766
4694.22.128.0/1794.22.128.1 to 94.22.255.25494.22.255.25532,766
4794.23.0.0/1794.23.0.1 to 94.23.127.25494.23.127.25532,766
4894.23.128.0/1794.23.128.1 to 94.23.255.25494.23.255.25532,766
4994.24.0.0/1794.24.0.1 to 94.24.127.25494.24.127.25532,766
5094.24.128.0/1794.24.128.1 to 94.24.255.25494.24.255.25532,766
5194.25.0.0/1794.25.0.1 to 94.25.127.25494.25.127.25532,766
5294.25.128.0/1794.25.128.1 to 94.25.255.25494.25.255.25532,766
5394.26.0.0/1794.26.0.1 to 94.26.127.25494.26.127.25532,766
5494.26.128.0/1794.26.128.1 to 94.26.255.25494.26.255.25532,766
5594.27.0.0/1794.27.0.1 to 94.27.127.25494.27.127.25532,766
5694.27.128.0/1794.27.128.1 to 94.27.255.25494.27.255.25532,766
5794.28.0.0/1794.28.0.1 to 94.28.127.25494.28.127.25532,766
5894.28.128.0/1794.28.128.1 to 94.28.255.25494.28.255.25532,766
5994.29.0.0/1794.29.0.1 to 94.29.127.25494.29.127.25532,766
6094.29.128.0/1794.29.128.1 to 94.29.255.25494.29.255.25532,766
6194.30.0.0/1794.30.0.1 to 94.30.127.25494.30.127.25532,766
6294.30.128.0/1794.30.128.1 to 94.30.255.25494.30.255.25532,766
6394.31.0.0/1794.31.0.1 to 94.31.127.25494.31.127.25532,766
6494.31.128.0/1794.31.128.1 to 94.31.255.25494.31.255.25532,766
6594.32.0.0/1794.32.0.1 to 94.32.127.25494.32.127.25532,766
6694.32.128.0/1794.32.128.1 to 94.32.255.25494.32.255.25532,766
6794.33.0.0/1794.33.0.1 to 94.33.127.25494.33.127.25532,766
6894.33.128.0/1794.33.128.1 to 94.33.255.25494.33.255.25532,766
6994.34.0.0/1794.34.0.1 to 94.34.127.25494.34.127.25532,766
7094.34.128.0/1794.34.128.1 to 94.34.255.25494.34.255.25532,766
7194.35.0.0/1794.35.0.1 to 94.35.127.25494.35.127.25532,766
7294.35.128.0/1794.35.128.1 to 94.35.255.25494.35.255.25532,766
7394.36.0.0/1794.36.0.1 to 94.36.127.25494.36.127.25532,766
7494.36.128.0/1794.36.128.1 to 94.36.255.25494.36.255.25532,766
7594.37.0.0/1794.37.0.1 to 94.37.127.25494.37.127.25532,766
7694.37.128.0/1794.37.128.1 to 94.37.255.25494.37.255.25532,766
7794.38.0.0/1794.38.0.1 to 94.38.127.25494.38.127.25532,766
7894.38.128.0/1794.38.128.1 to 94.38.255.25494.38.255.25532,766
7994.39.0.0/1794.39.0.1 to 94.39.127.25494.39.127.25532,766
8094.39.128.0/1794.39.128.1 to 94.39.255.25494.39.255.25532,766
8194.40.0.0/1794.40.0.1 to 94.40.127.25494.40.127.25532,766
8294.40.128.0/1794.40.128.1 to 94.40.255.25494.40.255.25532,766
8394.41.0.0/1794.41.0.1 to 94.41.127.25494.41.127.25532,766
8494.41.128.0/1794.41.128.1 to 94.41.255.25494.41.255.25532,766
8594.42.0.0/1794.42.0.1 to 94.42.127.25494.42.127.25532,766
8694.42.128.0/1794.42.128.1 to 94.42.255.25494.42.255.25532,766
8794.43.0.0/1794.43.0.1 to 94.43.127.25494.43.127.25532,766
8894.43.128.0/1794.43.128.1 to 94.43.255.25494.43.255.25532,766
8994.44.0.0/1794.44.0.1 to 94.44.127.25494.44.127.25532,766
9094.44.128.0/1794.44.128.1 to 94.44.255.25494.44.255.25532,766
9194.45.0.0/1794.45.0.1 to 94.45.127.25494.45.127.25532,766
9294.45.128.0/1794.45.128.1 to 94.45.255.25494.45.255.25532,766
9394.46.0.0/1794.46.0.1 to 94.46.127.25494.46.127.25532,766
9494.46.128.0/1794.46.128.1 to 94.46.255.25494.46.255.25532,766
9594.47.0.0/1794.47.0.1 to 94.47.127.25494.47.127.25532,766
9694.47.128.0/1794.47.128.1 to 94.47.255.25494.47.255.25532,766
9794.48.0.0/1794.48.0.1 to 94.48.127.25494.48.127.25532,766
9894.48.128.0/1794.48.128.1 to 94.48.255.25494.48.255.25532,766
9994.49.0.0/1794.49.0.1 to 94.49.127.25494.49.127.25532,766
10094.49.128.0/1794.49.128.1 to 94.49.255.25494.49.255.25532,766
10194.50.0.0/1794.50.0.1 to 94.50.127.25494.50.127.25532,766
10294.50.128.0/1794.50.128.1 to 94.50.255.25494.50.255.25532,766
10394.51.0.0/1794.51.0.1 to 94.51.127.25494.51.127.25532,766
10494.51.128.0/1794.51.128.1 to 94.51.255.25494.51.255.25532,766
10594.52.0.0/1794.52.0.1 to 94.52.127.25494.52.127.25532,766
10694.52.128.0/1794.52.128.1 to 94.52.255.25494.52.255.25532,766
10794.53.0.0/1794.53.0.1 to 94.53.127.25494.53.127.25532,766
10894.53.128.0/1794.53.128.1 to 94.53.255.25494.53.255.25532,766
10994.54.0.0/1794.54.0.1 to 94.54.127.25494.54.127.25532,766
11094.54.128.0/1794.54.128.1 to 94.54.255.25494.54.255.25532,766
11194.55.0.0/1794.55.0.1 to 94.55.127.25494.55.127.25532,766
11294.55.128.0/1794.55.128.1 to 94.55.255.25494.55.255.25532,766
11394.56.0.0/1794.56.0.1 to 94.56.127.25494.56.127.25532,766
11494.56.128.0/1794.56.128.1 to 94.56.255.25494.56.255.25532,766
11594.57.0.0/1794.57.0.1 to 94.57.127.25494.57.127.25532,766
11694.57.128.0/1794.57.128.1 to 94.57.255.25494.57.255.25532,766
11794.58.0.0/1794.58.0.1 to 94.58.127.25494.58.127.25532,766
11894.58.128.0/1794.58.128.1 to 94.58.255.25494.58.255.25532,766
11994.59.0.0/1794.59.0.1 to 94.59.127.25494.59.127.25532,766
12094.59.128.0/1794.59.128.1 to 94.59.255.25494.59.255.25532,766
12194.60.0.0/1794.60.0.1 to 94.60.127.25494.60.127.25532,766
12294.60.128.0/1794.60.128.1 to 94.60.255.25494.60.255.25532,766
12394.61.0.0/1794.61.0.1 to 94.61.127.25494.61.127.25532,766
12494.61.128.0/1794.61.128.1 to 94.61.255.25494.61.255.25532,766
12594.62.0.0/1794.62.0.1 to 94.62.127.25494.62.127.25532,766
12694.62.128.0/1794.62.128.1 to 94.62.255.25494.62.255.25532,766
12794.63.0.0/1794.63.0.1 to 94.63.127.25494.63.127.25532,766
12894.63.128.0/1794.63.128.1 to 94.63.255.25494.63.255.25532,766
12994.64.0.0/1794.64.0.1 to 94.64.127.25494.64.127.25532,766
13094.64.128.0/1794.64.128.1 to 94.64.255.25494.64.255.25532,766
13194.65.0.0/1794.65.0.1 to 94.65.127.25494.65.127.25532,766
13294.65.128.0/1794.65.128.1 to 94.65.255.25494.65.255.25532,766
13394.66.0.0/1794.66.0.1 to 94.66.127.25494.66.127.25532,766
13494.66.128.0/1794.66.128.1 to 94.66.255.25494.66.255.25532,766
13594.67.0.0/1794.67.0.1 to 94.67.127.25494.67.127.25532,766
13694.67.128.0/1794.67.128.1 to 94.67.255.25494.67.255.25532,766
13794.68.0.0/1794.68.0.1 to 94.68.127.25494.68.127.25532,766
13894.68.128.0/1794.68.128.1 to 94.68.255.25494.68.255.25532,766
13994.69.0.0/1794.69.0.1 to 94.69.127.25494.69.127.25532,766
14094.69.128.0/1794.69.128.1 to 94.69.255.25494.69.255.25532,766
14194.70.0.0/1794.70.0.1 to 94.70.127.25494.70.127.25532,766
14294.70.128.0/1794.70.128.1 to 94.70.255.25494.70.255.25532,766
14394.71.0.0/1794.71.0.1 to 94.71.127.25494.71.127.25532,766
14494.71.128.0/1794.71.128.1 to 94.71.255.25494.71.255.25532,766
14594.72.0.0/1794.72.0.1 to 94.72.127.25494.72.127.25532,766
14694.72.128.0/1794.72.128.1 to 94.72.255.25494.72.255.25532,766
14794.73.0.0/1794.73.0.1 to 94.73.127.25494.73.127.25532,766
14894.73.128.0/1794.73.128.1 to 94.73.255.25494.73.255.25532,766
14994.74.0.0/1794.74.0.1 to 94.74.127.25494.74.127.25532,766
15094.74.128.0/1794.74.128.1 to 94.74.255.25494.74.255.25532,766
15194.75.0.0/1794.75.0.1 to 94.75.127.25494.75.127.25532,766
15294.75.128.0/1794.75.128.1 to 94.75.255.25494.75.255.25532,766
15394.76.0.0/1794.76.0.1 to 94.76.127.25494.76.127.25532,766
15494.76.128.0/1794.76.128.1 to 94.76.255.25494.76.255.25532,766
15594.77.0.0/1794.77.0.1 to 94.77.127.25494.77.127.25532,766
15694.77.128.0/1794.77.128.1 to 94.77.255.25494.77.255.25532,766
15794.78.0.0/1794.78.0.1 to 94.78.127.25494.78.127.25532,766
15894.78.128.0/1794.78.128.1 to 94.78.255.25494.78.255.25532,766
15994.79.0.0/1794.79.0.1 to 94.79.127.25494.79.127.25532,766
16094.79.128.0/1794.79.128.1 to 94.79.255.25494.79.255.25532,766
16194.80.0.0/1794.80.0.1 to 94.80.127.25494.80.127.25532,766
16294.80.128.0/1794.80.128.1 to 94.80.255.25494.80.255.25532,766
16394.81.0.0/1794.81.0.1 to 94.81.127.25494.81.127.25532,766
16494.81.128.0/1794.81.128.1 to 94.81.255.25494.81.255.25532,766
16594.82.0.0/1794.82.0.1 to 94.82.127.25494.82.127.25532,766
16694.82.128.0/1794.82.128.1 to 94.82.255.25494.82.255.25532,766
16794.83.0.0/1794.83.0.1 to 94.83.127.25494.83.127.25532,766
16894.83.128.0/1794.83.128.1 to 94.83.255.25494.83.255.25532,766
16994.84.0.0/1794.84.0.1 to 94.84.127.25494.84.127.25532,766
17094.84.128.0/1794.84.128.1 to 94.84.255.25494.84.255.25532,766
17194.85.0.0/1794.85.0.1 to 94.85.127.25494.85.127.25532,766
17294.85.128.0/1794.85.128.1 to 94.85.255.25494.85.255.25532,766
17394.86.0.0/1794.86.0.1 to 94.86.127.25494.86.127.25532,766
17494.86.128.0/1794.86.128.1 to 94.86.255.25494.86.255.25532,766
17594.87.0.0/1794.87.0.1 to 94.87.127.25494.87.127.25532,766
17694.87.128.0/1794.87.128.1 to 94.87.255.25494.87.255.25532,766
17794.88.0.0/1794.88.0.1 to 94.88.127.25494.88.127.25532,766
17894.88.128.0/1794.88.128.1 to 94.88.255.25494.88.255.25532,766
17994.89.0.0/1794.89.0.1 to 94.89.127.25494.89.127.25532,766
18094.89.128.0/1794.89.128.1 to 94.89.255.25494.89.255.25532,766
18194.90.0.0/1794.90.0.1 to 94.90.127.25494.90.127.25532,766
18294.90.128.0/1794.90.128.1 to 94.90.255.25494.90.255.25532,766
18394.91.0.0/1794.91.0.1 to 94.91.127.25494.91.127.25532,766
18494.91.128.0/1794.91.128.1 to 94.91.255.25494.91.255.25532,766
18594.92.0.0/1794.92.0.1 to 94.92.127.25494.92.127.25532,766
18694.92.128.0/1794.92.128.1 to 94.92.255.25494.92.255.25532,766
18794.93.0.0/1794.93.0.1 to 94.93.127.25494.93.127.25532,766
18894.93.128.0/1794.93.128.1 to 94.93.255.25494.93.255.25532,766
18994.94.0.0/1794.94.0.1 to 94.94.127.25494.94.127.25532,766
19094.94.128.0/1794.94.128.1 to 94.94.255.25494.94.255.25532,766
19194.95.0.0/1794.95.0.1 to 94.95.127.25494.95.127.25532,766
19294.95.128.0/1794.95.128.1 to 94.95.255.25494.95.255.25532,766
19394.96.0.0/1794.96.0.1 to 94.96.127.25494.96.127.25532,766
19494.96.128.0/1794.96.128.1 to 94.96.255.25494.96.255.25532,766
19594.97.0.0/1794.97.0.1 to 94.97.127.25494.97.127.25532,766
19694.97.128.0/1794.97.128.1 to 94.97.255.25494.97.255.25532,766
19794.98.0.0/1794.98.0.1 to 94.98.127.25494.98.127.25532,766
19894.98.128.0/1794.98.128.1 to 94.98.255.25494.98.255.25532,766
19994.99.0.0/1794.99.0.1 to 94.99.127.25494.99.127.25532,766
20094.99.128.0/1794.99.128.1 to 94.99.255.25494.99.255.25532,766
20194.100.0.0/1794.100.0.1 to 94.100.127.25494.100.127.25532,766
20294.100.128.0/1794.100.128.1 to 94.100.255.25494.100.255.25532,766
20394.101.0.0/1794.101.0.1 to 94.101.127.25494.101.127.25532,766
20494.101.128.0/1794.101.128.1 to 94.101.255.25494.101.255.25532,766
20594.102.0.0/1794.102.0.1 to 94.102.127.25494.102.127.25532,766
20694.102.128.0/1794.102.128.1 to 94.102.255.25494.102.255.25532,766
20794.103.0.0/1794.103.0.1 to 94.103.127.25494.103.127.25532,766
20894.103.128.0/1794.103.128.1 to 94.103.255.25494.103.255.25532,766
20994.104.0.0/1794.104.0.1 to 94.104.127.25494.104.127.25532,766
21094.104.128.0/1794.104.128.1 to 94.104.255.25494.104.255.25532,766
21194.105.0.0/1794.105.0.1 to 94.105.127.25494.105.127.25532,766
21294.105.128.0/1794.105.128.1 to 94.105.255.25494.105.255.25532,766
21394.106.0.0/1794.106.0.1 to 94.106.127.25494.106.127.25532,766
21494.106.128.0/1794.106.128.1 to 94.106.255.25494.106.255.25532,766
21594.107.0.0/1794.107.0.1 to 94.107.127.25494.107.127.25532,766
21694.107.128.0/1794.107.128.1 to 94.107.255.25494.107.255.25532,766
21794.108.0.0/1794.108.0.1 to 94.108.127.25494.108.127.25532,766
21894.108.128.0/1794.108.128.1 to 94.108.255.25494.108.255.25532,766
21994.109.0.0/1794.109.0.1 to 94.109.127.25494.109.127.25532,766
22094.109.128.0/1794.109.128.1 to 94.109.255.25494.109.255.25532,766
22194.110.0.0/1794.110.0.1 to 94.110.127.25494.110.127.25532,766
22294.110.128.0/1794.110.128.1 to 94.110.255.25494.110.255.25532,766
22394.111.0.0/1794.111.0.1 to 94.111.127.25494.111.127.25532,766
22494.111.128.0/1794.111.128.1 to 94.111.255.25494.111.255.25532,766
22594.112.0.0/1794.112.0.1 to 94.112.127.25494.112.127.25532,766
22694.112.128.0/1794.112.128.1 to 94.112.255.25494.112.255.25532,766
22794.113.0.0/1794.113.0.1 to 94.113.127.25494.113.127.25532,766
22894.113.128.0/1794.113.128.1 to 94.113.255.25494.113.255.25532,766
22994.114.0.0/1794.114.0.1 to 94.114.127.25494.114.127.25532,766
23094.114.128.0/1794.114.128.1 to 94.114.255.25494.114.255.25532,766
23194.115.0.0/1794.115.0.1 to 94.115.127.25494.115.127.25532,766
23294.115.128.0/1794.115.128.1 to 94.115.255.25494.115.255.25532,766
23394.116.0.0/1794.116.0.1 to 94.116.127.25494.116.127.25532,766
23494.116.128.0/1794.116.128.1 to 94.116.255.25494.116.255.25532,766
23594.117.0.0/1794.117.0.1 to 94.117.127.25494.117.127.25532,766
23694.117.128.0/1794.117.128.1 to 94.117.255.25494.117.255.25532,766
23794.118.0.0/1794.118.0.1 to 94.118.127.25494.118.127.25532,766
23894.118.128.0/1794.118.128.1 to 94.118.255.25494.118.255.25532,766
23994.119.0.0/1794.119.0.1 to 94.119.127.25494.119.127.25532,766
24094.119.128.0/1794.119.128.1 to 94.119.255.25494.119.255.25532,766
24194.120.0.0/1794.120.0.1 to 94.120.127.25494.120.127.25532,766
24294.120.128.0/1794.120.128.1 to 94.120.255.25494.120.255.25532,766
24394.121.0.0/1794.121.0.1 to 94.121.127.25494.121.127.25532,766
24494.121.128.0/1794.121.128.1 to 94.121.255.25494.121.255.25532,766
24594.122.0.0/1794.122.0.1 to 94.122.127.25494.122.127.25532,766
24694.122.128.0/1794.122.128.1 to 94.122.255.25494.122.255.25532,766
24794.123.0.0/1794.123.0.1 to 94.123.127.25494.123.127.25532,766
24894.123.128.0/1794.123.128.1 to 94.123.255.25494.123.255.25532,766
24994.124.0.0/1794.124.0.1 to 94.124.127.25494.124.127.25532,766
25094.124.128.0/1794.124.128.1 to 94.124.255.25494.124.255.25532,766
25194.125.0.0/1794.125.0.1 to 94.125.127.25494.125.127.25532,766
25294.125.128.0/1794.125.128.1 to 94.125.255.25494.125.255.25532,766
25394.126.0.0/1794.126.0.1 to 94.126.127.25494.126.127.25532,766
25494.126.128.0/1794.126.128.1 to 94.126.255.25494.126.255.25532,766
25594.127.0.0/1794.127.0.1 to 94.127.127.25494.127.127.25532,766
25694.127.128.0/1794.127.128.1 to 94.127.255.25494.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses